Package com.xebialabs.xlrelease.api.v1.forms

# Class AbstractDeliveryFilters

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.AbstractDeliveryFilters

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DeliveryFilters`, `DeliveryPatternFilters`

public abstract class AbstractDeliveryFilters extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDeliveryFilters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFolderId()`
  `abstract List<DeliveryStatus>`
  `getStatuses()`
  `String`
  `getTitle()`
  `String`
  `getTrackedItemTitle()`
  `boolean`
  `hasStatuses()`
  `boolean`
  `isStrictTitleMatch()`
  `boolean`
  `isStrictTrackedItemTitleMatch()`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setStrictTitleMatch(boolean strictTitleMatch)`
  `void`
  `setTitle(String title)`
  `AbstractDeliveryFilters`
  `withFolderId(String folderId)`
  `AbstractDeliveryFilters`
  `withStrictTitleMatch(boolean strictTitleMatch)`
  `AbstractDeliveryFilters`
  `withStrictTrackedItemTitleMatch(boolean strictTitleMatch)`
  `AbstractDeliveryFilters`
  `withTitle(String title)`
  `AbstractDeliveryFilters`
  `withTrackedItemTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDeliveryFilters

    public AbstractDeliveryFilters()

- ## Method Details

  - ### withTitle

    public AbstractDeliveryFilters withTitle(String title)

  - ### withStrictTitleMatch

    public AbstractDeliveryFilters withStrictTitleMatch(boolean strictTitleMatch)

  - ### withTrackedItemTitle

    public AbstractDeliveryFilters withTrackedItemTitle(String title)

  - ### withStrictTrackedItemTitleMatch

    public AbstractDeliveryFilters withStrictTrackedItemTitleMatch(boolean strictTitleMatch)

  - ### withFolderId

    public AbstractDeliveryFilters withFolderId(String folderId)

  - ### getStatuses

    public abstract List<DeliveryStatus> getStatuses()

  - ### hasStatuses

    public boolean hasStatuses()

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### isStrictTitleMatch

    public boolean isStrictTitleMatch()

  - ### getTrackedItemTitle

    public String getTrackedItemTitle()

  - ### isStrictTrackedItemTitleMatch

    public boolean isStrictTrackedItemTitleMatch()

  - ### setStrictTitleMatch

    public void setStrictTitleMatch(boolean strictTitleMatch)